For the complete documentation index, see llms.txt. This page is also available as Markdown.

쿼리

저장된 및 예약된 쿼리용 REST API 작업

개요

이러한 API 작업을 사용하여 다음과 상호 작용하세요 저장된 및 예약된 검색 Panther에서.

API를 호출하려면, 다음을 참조하세요 Panther REST API 사용 방법 지침—다음을 포함하여 이 문서 페이지에서 직접 호출하는 방법에 대한 안내.

필요한 권한

  • 다음의 경우 GET 작업의 경우, API 토큰에는 다음이 있어야 합니다 데이터 레이크 쿼리 권한이 있어야 합니다.

  • 다음의 경우 POST, PUT, 그리고 DELETE 작업의 경우, API 토큰에는 다음이 있어야 합니다 저장된 검색 관리 권한이 있어야 합니다.

작업

create query

post
Authorizations
X-API-KeystringRequired
Body
descriptionstringOptional

The description of the query

namestringRequired

The name of the query

sqlstringRequired

The raw sql of the query

Responses
200

OK response.

application/json
createdAtstringOptional
descriptionstringOptional

The description of the query

idstringOptional

The generated ID of the query

managedbooleanOptional

Determines if the query is managed by panther

namestringOptional

The name of the query

sqlstringOptional

The raw sql of the query

updatedAtstringOptional
post/queries
POST /queries HTTP/1.1
Host: your-api-host
X-API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 208

{
  "description": "text",
  "emailConfig": {
    "preferAttachment": false,
    "recipients": [
      "text"
    ],
    "sendEmpty": false
  },
  "name": "text",
  "schedule": {
    "cron": "text",
    "disabled": true,
    "rateMinutes": 1,
    "timeoutMinutes": 1
  },
  "sql": "text"
}
{
  "createdAt": "text",
  "description": "text",
  "emailConfig": {
    "preferAttachment": false,
    "recipients": [
      "text"
    ],
    "sendEmpty": false
  },
  "id": "text",
  "managed": true,
  "name": "text",
  "schedule": {
    "cron": "text",
    "disabled": true,
    "rateMinutes": 1,
    "timeoutMinutes": 1
  },
  "sql": "text",
  "updatedAt": "text"
}

get query

get
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the query to fetch

Responses
200

OK response.

application/json
createdAtstringOptional
descriptionstringOptional

The description of the query

idstringOptional

The generated ID of the query

managedbooleanOptional

Determines if the query is managed by panther

namestringOptional

The name of the query

sqlstringOptional

The raw sql of the query

updatedAtstringOptional
get/queries/{id}
GET /queries/{id} HTTP/1.1
Host: your-api-host
X-API-Key: YOUR_API_KEY
Accept: */*
{
  "createdAt": "text",
  "description": "text",
  "emailConfig": {
    "preferAttachment": false,
    "recipients": [
      "text"
    ],
    "sendEmpty": false
  },
  "id": "text",
  "managed": true,
  "name": "text",
  "schedule": {
    "cron": "text",
    "disabled": true,
    "rateMinutes": 1,
    "timeoutMinutes": 1
  },
  "sql": "text",
  "updatedAt": "text"
}

update query

post

updates a query

Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired
Body
descriptionstringOptional

The description of the query

namestringRequired

The name of the query

sqlstringRequired

The raw sql of the query

Responses
200

OK response.

application/json
createdAtstringOptional
descriptionstringOptional

The description of the query

idstringOptional

The generated ID of the query

managedbooleanOptional

Determines if the query is managed by panther

namestringOptional

The name of the query

sqlstringOptional

The raw sql of the query

updatedAtstringOptional
post/queries/{id}
POST /queries/{id} HTTP/1.1
Host: your-api-host
X-API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 208

{
  "description": "text",
  "emailConfig": {
    "preferAttachment": false,
    "recipients": [
      "text"
    ],
    "sendEmpty": false
  },
  "name": "text",
  "schedule": {
    "cron": "text",
    "disabled": true,
    "rateMinutes": 1,
    "timeoutMinutes": 1
  },
  "sql": "text"
}
{
  "createdAt": "text",
  "description": "text",
  "emailConfig": {
    "preferAttachment": false,
    "recipients": [
      "text"
    ],
    "sendEmpty": false
  },
  "id": "text",
  "managed": true,
  "name": "text",
  "schedule": {
    "cron": "text",
    "disabled": true,
    "rateMinutes": 1,
    "timeoutMinutes": 1
  },
  "sql": "text",
  "updatedAt": "text"
}

delete query

delete
Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

ID of the query to delete

Responses
204

No Content response.

No content

delete/queries/{id}
DELETE /queries/{id} HTTP/1.1
Host: your-api-host
X-API-Key: YOUR_API_KEY
Accept: */*

No content

list queries

get
Authorizations
X-API-KeystringRequired
Query parameters
cursorstringOptional

the pagination token

limitinteger · int64Optional

the maximum results to return

Default: 100
Responses
200

OK response.

application/json
nextstringOptional

Pagination token for the next page of results

get/queries
GET /queries HTTP/1.1
Host: your-api-host
X-API-Key: YOUR_API_KEY
Accept: */*
200

OK response.

{
  "next": "text",
  "results": [
    {
      "createdAt": "text",
      "description": "text",
      "emailConfig": {
        "preferAttachment": false,
        "recipients": [
          "text"
        ],
        "sendEmpty": false
      },
      "id": "text",
      "managed": true,
      "name": "text",
      "schedule": {
        "cron": "text",
        "disabled": true,
        "rateMinutes": 1,
        "timeoutMinutes": 1
      },
      "sql": "text",
      "updatedAt": "text"
    }
  ]
}

마지막 업데이트

도움이 되었나요?